//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

/*
 * Script by 	: MrFrost (https://steamcommunity.com/id/mrfrostlp)
 *                Deathman (https://steamcommunity.com/id/deathman2002)
 *
 * Edited by 	: [YourName]
 *
 * ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////
 * Support via
 * Discord:         MrFrost#1897
 * Native-Network:  https://native-network.net/user/5883-mrfrost/
 * ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////
 *
 * Hereby I forbid the publication under a different name, as original or modified, without my explicit permission.
 * This script was developed explicitly for the Native-Network community. 
 * It is not allowed to use, publish or sell it on other platforms without my explicit permission.
 * It is not allowed to remove or edit this header (except for the line "Edited by :").
 */

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////// Config ///////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

class InfoMenu_Master {

    //////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////// Main Settings //////////////////////////////////////////////////
    //////////////////////////////////////////////////////////////////////////////////////////////////////////////////

    InfoMenu_Main_Title = "Native Wiki"; //Here you can set the main title that will be displayed above the selection. "" means "Info Menu" by default.

    //////////////////////////////////////////////////////////////////////////////////////////////////////////////////

    class Categories {

    //////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    ////////////////////////////////////////////////// Information ///////////////////////////////////////////////////
    //////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    /*
        * Here you can make all settings for the info menu. The entries must be created as follows:
        * 
        * class Category_1 {                                                                       <--You can name this class anything you like.
        *      displayname = "Example Category 1";                                                 <--This is the name that will be displayed for the category.
        *      Cath_title = "Example Category Title 1";                                            <--The title that is displayed when you click on the category.
        *      Cath_text = "<t size='1.0' color='#ffffff'>Example Category 1</t>";                 <--This text is displayed when you select the category and not the entries.
        *      Cath_picture = "\A3\ui_f\data\GUI\Rsc\RscDisplayArcadeMap\icon_exit_cross_ca.paa";   <--The icon that is displayed next to the category. "" means no Icon.
        *      entries[] = {
        *          {
        *              "Example Entry 1",                                                           <--Name of the entry.
        *              "Example Title 1",                                                           <--The title above the text.
        *              "<t size='1.0' color='#ffffff'>This is a Example by MrFrost</t>",            <--The text that is displayed when you click on the entry.
        *              "\A3\ui_f\data\GUI\Rsc\RscDisplayArcadeMap\icon_exit_cross_ca.paa"           <--The icon that is displayed in front of the entry. "" means no Icon.
        *          },
        *          {
        *              "Example Entry 2",                                                           <--Name of the entry.
        *              "Example Title 1",                                                           <--The title above the text.
        *              "<t size='1.0' color='#ffffff'>This is a Example by MrFrost</t>",            <--The text that is displayed when you click on the entry.
        *              "\A3\ui_f\data\GUI\Rsc\RscDisplayArcadeMap\icon_exit_cross_ca.paa"           <--The icon that is displayed in front of the entry. "" means no Icon.
        *          }
        *      };
        * };
        *
        * Here you can learn how to format the text: https://community.bistudio.com/wiki/Structured_Text
        * 
        */
    //////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    ////////////////////////////////////////////////// Wiki entries //////////////////////////////////////////////////
    //////////////////////////////////////////////////////////////////////////////////////////////////////////////////
        
        class Welcome {
            displayname = "Welcome";
            Cath_title = "Welcome";
            Cath_text = "<img size=15.0 image='\A3\ui_f\data\GUI\Rsc\RscDisplayWelcome\welcome_oldman1_co.paa'/><t color='#FFFFFFFF' size='1'><t color='#FF8000' size='1.2'><br/><br/>Hello everyone!</t><br/><br/>Special thanks to <a href='https://steamcommunity.com/id/deathman2002'>Deathman</a> who helped me with the tree view and prepared much of the script for me in the process.<br/>Another thanks goes to <a href='https://steamcommunity.com/id/Heyoxe/'>Heyoxe</a> for the cool GUI converter/defines.<br/>This is an example of what Arma and development should be, <t color='#15a100'>working together and helping each other</t>.<br/><br/>Remember everyone, this game is mostly open source and so are most of the tools and scripts out there.<br/>Please treat this script fairly and as always leave the header as it is.<br/>You can of course edit the script as you like and also feel free to send me your suggestions, but please <t color='#FF8000' underline='true'>do not re-upload the script anywhere else without my permission</t>.<br/>As already mentioned, the script is open source, but I do reserve certain rights, such as that <t color='#FF8000' underline='true'>this script may not be used commercially</t>.<br/><br/>Finally I can only thank <a href='https://steamcommunity.com/id/deathman2002'>Deathman</a> and <a href='https://steamcommunity.com/id/Heyoxe/'>Heyoxe</a> again and wish you a lot of fun with this script.<br/><br/>Your <a href='https://steamcommunity.com/id/mrfrostlp'>MrFrost</a></br></t>";
            Cath_picture = "\A3\ui_f\data\GUI\Rsc\RscDisplayDLCContentBrowser\platform_ca.paa";
            entries[] = {};
        };

        //////////////////////////////////////////////////////////////////////////////////////////////////////////////

        class Category_1 {
            displayname = "Example Category 1";
            Cath_title = "Example Category Title 1";
            Cath_text = "<t size='1.0' color='#ffffff'>Example Category 1</t>";
            Cath_picture = "\A3\ui_f\data\GUI\Rsc\RscDisplayMain\menu_tutorials_ca.paa";
            entries[] = {
                {
                    "Example Entry 1",
                    "Example Title 1",
                    "<t size='1.0' color='#ffffff'>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. <t size='1.0' color='#FF8000'>At vero eos et accusam et justo duo dolores et ea rebum.</t> Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. <t size='1.5' color='#FF8000'>At vero eos et accusam et justo duo dolores et ea rebum.</t> Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet.Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. <t size='1.0' color='#FF8000'>At vero eos et accusam et justo duo dolores et ea rebum.</t> Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. <t size='1.5' color='#FF8000'>At vero eos et accusam et justo duo dolores et ea rebum.</t> Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet.</br>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. <t size='1.0' color='#FF8000'>At vero eos et accusam et justo duo dolores et ea rebum.</t> Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. <t size='1.5' color='#FF8000'>At vero eos et accusam et justo duo dolores et ea rebum.</t> Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet.Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. <t size='1.0' color='#FF8000'>At vero eos et accusam et justo duo dolores et ea rebum.</t> Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. <t size='1.5' color='#FF8000'>At vero eos et accusam et justo duo dolores et ea rebum.</t> Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet.</t>",
                    "\A3\ui_f\data\GUI\Rsc\RscDisplayArsenal\map_ca.paa"
                },
                {
                    "Example Entry 2",
                    "Example Title 2",
                    "<t size='1.0' color='#ffffff'>This is a Example by MrFrost</t>",
                    "\A3\ui_f\data\GUI\Rsc\RscDisplayArsenal\voice_ca.paa"
                },
                {
                    "Example Entry 3",
                    "Example Title 3",
                    "<t size='1.0' color='#ffffff'>This is a Example by MrFrost</t>",
                    "\A3\ui_f\data\GUI\Cfg\Notifications\tridentFriendly_ca.paa"
                }
            };
        };

        //////////////////////////////////////////////////////////////////////////////////////////////////////////////

        class Category_2 {
            displayname = "Example Category 2";
            Cath_title = "Example Category Title 2";
            Cath_text = "<t size='1.0' color='#ffffff'>Example Category 2</t>";
            Cath_picture = "\A3\ui_f\data\GUI\Rsc\RscDisplayArsenal\goggles_ca.paa";
            entries[] = {
                {
                    "Example Entry 4",
                    "Example Title 4",
                    "<t size='1.0' color='#ffffff'>This is a Example by MrFrost</t>",
                    "\A3\ui_f\data\GUI\Rsc\RscDisplayArcadeMap\icon_steam_ca.paa"
                },
                {
                    "Example Entry 5",
                    "Example Title 5",
                    "<t size='1.0' color='#ffffff'>This is a Example by MrFrost</t>",
                    "\A3\ui_f\data\GUI\Rsc\RscDisplayBootcampMsgBox\bootcampMsgBox_logo_ca.paa"
                },
                {
                    "Example Entry 6",
                    "Example Title 6",
                    "<t size='1.0' color='#ffffff'>This is a Example by MrFrost</t>",
                    "\A3\ui_f\data\GUI\Rsc\RscPendingInvitation\desynchigh_ca.paa"
                }
            };
        };

        //////////////////////////////////////////////////////////////////////////////////////////////////////////////

        class Category_3 {
            displayname = "Example Category 3";
            Cath_title = "Example Category Title 3";
            Cath_text = "<t size='1.0' color='#ffffff'>Example Category 3</t>";
            Cath_picture = "\A3\ui_f\data\GUI\Rsc\RscDisplayArsenal\handgun_ca.paa";
            entries[] = {
                {
                    "Example Entry 7",
                    "Example Title 7",
                    "<t size='1.0' color='#ffffff'>This is a Example by MrFrost</t>",
                    "\A3\ui_f\data\GUI\Rsc\RscDisplayArsenal\itemOptic_ca.paa"
                },
                {
                    "Example Entry 8",
                    "Example Title 8",
                    "<t size='1.0' color='#ffffff'>This is a Example by MrFrost</t>",
                    "\A3\ui_f\data\GUI\Rsc\RscDisplayArsenal\primaryWeapon_ca.paa"
                },
                {
                    "Example Entry 9",
                    "Example Title 9",
                    "<t size='1.0' color='#ffffff'>This is a Example by MrFrost</t>",
                    "\A3\ui_f\data\GUI\Rsc\RscDisplayArsenal\secondaryWeapon_ca.paa"
                }
            };
        };

        //////////////////////////////////////////////////////////////////////////////////////////////////////////////

    };
};

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////